=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2009-03-17 05:47:13 +0000
+++ drizzled/session.cc	2009-03-17 06:07:52 +0000
@@ -408,7 +408,6 @@
   init();
   /* Initialize sub structures */
   init_sql_alloc(&warn_root, WARN_ALLOC_BLOCK_SIZE, WARN_ALLOC_PREALLOC_SIZE);
-  user_connect=(USER_CONN *)0;
   hash_init(&user_vars, system_charset_info, USER_VARS_HASH_SIZE, 0, 0,
 	    (hash_get_key) get_var_key,
 	    (hash_free_key) free_user_var, 0);

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2009-03-17 05:47:13 +0000
+++ drizzled/session.h	2009-03-17 06:07:52 +0000
@@ -410,15 +410,12 @@
   NON_SYSTEM_THREAD
 };
 
-
-
 #include <drizzled/internal_error_handler.h> 
 #include <drizzled/diagnostics_area.h> 
 
 /**
   Storage engine specific thread local data.
 */
-
 struct Ha_data
 {
   /**
@@ -441,15 +438,7 @@
   Ha_data() :ha_ptr(NULL) {}
 };
 
-
-/**
-  @class Session
-  For each client connection we create a separate thread with Session serving as
-  a thread/connection descriptor
-*/
-
-class Session :public Statement,
-           public Open_tables_state
+class Session :public Statement, public Open_tables_state
 {
 public:
   /*
@@ -734,7 +723,6 @@
     with more than one subquery, it is not clear what does the field mean.
   */
   table_map  used_tables;
-  USER_CONN *user_connect;
   const CHARSET_INFO *db_charset;
   /*
     FIXME: this, and some other variables like 'count_cuted_fields'

=== modified file 'drizzled/structs.h'
--- drizzled/structs.h	2009-02-28 17:49:22 +0000
+++ drizzled/structs.h	2009-03-17 06:07:52 +0000
@@ -150,36 +150,6 @@
   LEX_STRING user, host, password;
 } LEX_USER;
 
-/*
-  This structure is used for counting resources consumed and for checking
-  them against specified user limits.
-*/
-typedef struct  user_conn {
-  /*
-     Pointer to user+host key (pair separated by '\0') defining the entity
-     for which resources are counted (By default it is user account thus
-     priv_user/priv_host pair is used. If --old-style-user-limits option
-     is enabled, resources are counted for each user+host separately).
-  */
-  char *user;
-  /* Pointer to host part of the key. */
-  char *host;
-  /**
-     The moment of time when per hour counters were reset last time
-     (i.e. start of "hour" for conn_per_hour, updates, questions counters).
-  */
-  uint64_t reset_utime;
-  /* Total length of the key. */
-  uint32_t len;
-  /* Current amount of concurrent connections for this account. */
-  uint32_t connections;
-  /*
-     Current number of connections per hour, number of updating statements
-     per hour and total number of statements per hour for this account.
-  */
-  uint32_t conn_per_hour, updates, questions;
-} USER_CONN;
-
 	/* Bits in form->update */
 #define REG_MAKE_DUPP		1	/* Make a copy of record when read */
 #define REG_NEW_RECORD		2	/* Write a new record if not found */

